import numpy as np
import torch.nn.functional as fun
import torch.nn as nn
import torch as t
import torchsummary as ts
from fvcore.nn import FlopCountAnalysis, parameter_count_table
from thop import profile
from fvcore.nn import flop_count
from torchvision import models as Model

from tools.WgrNet import wgrnet

kernel = [3, 1]
stride = 1  # stage1是否进行2倍下采样，如果是2，则进行2倍下采样
x = t.randn(1, 3, 224, 224)
B, C, H, W = x.shape

m = Model.resnet152()

flopstotal = FlopCountAnalysis(m, x)
flops=flopstotal.total()/(1024**3)
m.to('cuda')
ts.summary(m,(C,H,W),B)
print('%.2f' % (flops))






